<?php

namespace App\Classes\Modules\ControllersLogic\Warehouses;

use App\Classes\Modules\Warehouses\Services\ProfilesWarehouse;

class ProfileWarehouseLogic
{
    /** @var  ProfilesWarehouse */
    private $ProfilesWarehouse;

    /**
     * ProfileWarehouseLogic constructor.
     * @param ProfilesWarehouse $ProfilesWarehouse
     */
    public function __construct(ProfilesWarehouse $ProfilesWarehouse)
    {
        $this->ProfilesWarehouse = $ProfilesWarehouse;
    }


    public function execute(String $id){
        return $this->ProfilesWarehouse->execute($id);
    }
}